Update a template
Replace the body of an existing template.
PUT
/themes/{theme_id}/templates/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
theme_idstringrequiredTheme ID
idstringrequiredTemplate ID or filename slug
Request body
requiredapplication/jsonbodystringNew template source code
Responses
200Template updated
_linksHalLinksidstringfile_namestringpathstringbodystringFull template source code
is_sectionbooleanschemaobjectPresent only when `is_section` is true — the section's configurable schema.
parent_commitstring | nullupdated_onstring<date-time>401Unauthorized
403Access denied
404Template not found
Request
curl -X PUT "https://api.onbolder.com/v2/themes/abc123/templates/layout.html" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"body": "<html><head><title>{{ shop.name }}</title></head><body>{{ content }}</body></html>"
}'const response = await fetch("https://api.onbolder.com/v2/themes/abc123/templates/layout.html", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"body": "<html><head><title>{{ shop.name }}</title></head><body>{{ content }}</body></html>"
})
});import requests
response = requests.put(
"https://api.onbolder.com/v2/themes/abc123/templates/layout.html",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"body": "<html><head><title>{{ shop.name }}</title></head><body>{{ content }}</body></html>"
},
)Response
{
"_links": {
"property1": {
"href": "string",
"templated": true,
"method": "get",
"title": "string",
"type": "string"
},
"property2": {
"href": "string",
"templated": true,
"method": "get",
"title": "string",
"type": "string"
}
},
"id": "string",
"file_name": "layout.html",
"path": "string",
"body": "string",
"is_section": true,
"schema": {},
"parent_commit": "string",
"updated_on": "2019-08-24T14:15:22Z"
}Unauthorized
Access denied
Template not found